﻿Imports System.Net
Imports System.Web.Script.Serialization

Partial Class VB
    Inherits System.Web.UI.Page

    Protected Sub Translate(sender As Object, e As EventArgs)
        Dim url As String = "https://translation.googleapis.com/language/translate/v2?key=YOUR_API_KEY"
        url += "&source=" + ddlSource.SelectedItem.Value
        url += "&target=" + ddlTarget.SelectedItem.Value
        url += "&q=" + Server.UrlEncode(txtSource.Text.Trim())
        Dim client As New WebClient()
        Dim json As String = client.DownloadString(url)
        Dim jsonData As JsonData = (New JavaScriptSerializer()).Deserialize(Of JsonData)(json)
        txtTarget.Text = jsonData.Data.Translations(0).TranslatedText
    End Sub

    Public Class JsonData
        Public Property Data() As Data
    End Class
    Public Class Data
        Public Property Translations() As List(Of Translation)
    End Class
    Public Class Translation
        Public Property TranslatedText() As String
    End Class
End Class
